Subject: Re: bug#65464: Emacs 29.1 - VHDL mode missing updates…

From: Stefan Monnier <[email-masked]>
Date: Mon, 11 Sep 2023 18:17:18 -0400

> In other words, if someone is unable to run vhdl-mode.elc from Emacs 29 on
> Emacs 28, then we're very sorry but do not consider it a defect that needs
> to be remedied.

Actually, I do think we should try and detect the problem (and ideally
emit a message/error and maybe even fallback to loading the
non-compiled file).

We do have the necessary info in the `.elc` file (the byte 4th byte
(0-based numbering) of a `.elc` file holds the major version number of
the Emacs on which it was compiled (with some caveat for non-released
Emacs versions, such as 30.0.NN emitting `.elc` files that say "version
29")).

We just need to make use of that info.

        Stefan